---
title: Enable Firewall
url: https://docs.vultr.com/products/compute/instances/vx1-cloud-compute/networking/enable-firewall
description: Apply a Vultr Firewall group to secure a VX1™ Cloud Compute instance via Portal or API.
publish_date: 2025-11-21T13:43:21.219990Z
last_updated: 2026-05-26T18:52:53.556868Z
---

# How to Enable a Vultr Firewall Group on a Vultr VX1™ Cloud Compute Instance

Vultr Firewall groups let you create rules that control and filter incoming network traffic to your instance. These rules define which ports, protocols, and services you allow or block, improving the security of your Vultr VX1™ Cloud Compute instance.

Follow this guide to enable a Vultr Firewall group on a Vultr VX1™ Cloud Compute instance using the Vultr Console, or API.

=== "Vultr Console"

    1. Navigate to **Products** and click **Compute**.
    1. Click your target Vultr VX1™ Cloud Compute instance to open its management page.
    1. Navigate to the **Settings** tab.
    1. Click **Firewall** on the left navigation menu.
    1. Open the **Firewall** drop-down menu and select the firewall group you want to apply.
    1. Click **Update Firewall Group** to enable the firewall group on the instance.

=== "Vultr API"

    1. Send a `GET` request to the [**List Instances** endpoint](https://www.vultr.com/api/#tag/instances/operation/list-instances) and note your target instance's ID.

        ```console
        $ curl "https://api.vultr.com/v2/instances" \
          -X GET \
          -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

    1. Send a `GET` request to the [**List Firewall Groups** endpoint](https://www.vultr.com/api/#tag/firewall/operation/list-firewall-groups) and note the ID of the firewall group you want to apply.

        ```console
        $ curl "https://api.vultr.com/v2/firewalls" \
          -X GET \
          -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

    1. Send a `PATCH` request to the [**Update Instance** endpoint](https://www.vultr.com/api/#tag/instances/operation/update-instance) to attach a firewall group to the instance.

        ```console
        $ curl "https://api.vultr.com/v2/instances/{instance-id}" \
          -X PATCH \
          -H "Authorization: Bearer ${VULTR_API_KEY}" \
          -H "Content-Type: application/json" \
          --data '{
            "firewall_group_id" : "<firewall-id>"
          }'
        ```

        If successful, you receive a 200 HTTP response.